<?php
/**
 * pdf_ajax_view.php -
 *
 * The pdf view to use ajax to make it more user friendly. This is the first page that gets
 * displayed first and it waits for the pDF generation to finish and then redirects to the
 * PDF doucment page.
 *
 * @author $Author: dtong $
 * @version $Id: pdf_ajax_view.php,v 1.13 2012/02/09 11:00:48 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<?php $this->load->view('template/all_jscript_view', array('type'=>'plain')); ?>
<script type="text/javascript">
	function process_pdf() {
		var mypostrequest = new ajaxRequest();
		mypostrequest.onreadystatechange = function(){
			if (mypostrequest.readyState==4){
				if (mypostrequest.status==200){
					if ( mypostrequest.responseText.search('pdfgen') != 0 ) {
						alert('<?php echo lang('gen_pdf_failed_msg')?>');
						window.close();
					}
					else {
						pdf_read_url = '<?php echo base_url()?>pdf/pdfgen/read/' +
							mypostrequest.responseText + '/<?php echo $dummy_pdfname?>';
						window.location = pdf_read_url;
					}
				}
				else {
					alert('<?php echo lang('gen_pdf_failed_msg')?>');
					window.close();
				}
			}
		};
		var parameters = 'bustcache=' + new Date().getTime();
		var pef_exe_url = '<?php echo base_url()?>pdf/pdfgen/create/' + '<?php echo $url?>/1';
		try {
			mypostrequest.open('POST',pef_exe_url,true);
			mypostrequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
			mypostrequest.send(parameters);
		}
		catch(e) {
			alert('<?php echo lang('gen_pdf_failed_msg')?>');
			window.close();
			return false;
		}
		return true;
	}
</script>
</head>
<body onload="process_pdf();">
<div style="margin-top:30%;text-align:center;border:solid 0px">
<div style="margin-bottom:50px"><?php echo lang('gen_pdf_wait_msg') ?></div>
<img src="<?php echo osa_imagepath();?>wait_bar.gif" /></div>
<div style="margin-bottom:30%;text-align:center;border:solid 0px"></div>
</body>
</html>