<?php
/**
 * header_view.php - Header view file
 *
 * @author $Author: dtong $
 * @version $Id: header_view.php,v 1.67 2012/02/23 09:12:42 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
 */
osa_load_lang('header');
if ( osa_3p_available() && tp_get_pro_header() ) {
	return;
}
//It is much easier to put this logic here instead of inside of the controller
//Since multiple controller calls this.
if ( isset($user) && property_exists($user, 'userold') && is_object($user->userold) && property_exists($user->userold, 'username') ) {
	$userold = $user->userold;
}
$site_url = base_url();
$header_msg = $this->config->item('cms_header_message');
$loginheader_msg = $this->config->item('cms_loginheader_message');

?><table width="100%" cellspacing="0" cellpadding="0"
	style="border: 0px; margin-top: 0px; margin-bottom: 0px;">
	<tr>
		<td colspan='2' bgcolor="<?php echo $this->config->item('cms_header_image_bkcolor');?>" nowrap="nowrap">
		<?php if ($this->config->item('cms_header_image_left_align')===FALSE) {?>
			<center>
				<img src="<?php echo osa_image_toppath() . $this->config->item('cms_header_image');?>" />
			</center>
		<?php } else { ?>
			<img src="<?php echo osa_image_toppath() . $this->config->item('cms_header_image');?>" />
		<?php }?>
		</td>
	</tr>
	<?php
		if ( !empty($header_msg) || !empty($loginheader_msg) ) {
	?>
	<tr>
		<td bgcolor="#F0F0F0" colspan="2" align="center">
		<?php
			if ( isset($user) && is_object($user) ) {
				if ( !empty($header_msg) ) {
					echo "<div class='header_msg'>{$header_msg}</div>";
				}
			}
			else {
				if ( !empty($loginheader_msg) ) {
					echo "<div class='header_login_msg'>{$loginheader_msg}</div>";
				}
			}
		?>
		</td>
	</tr>
	<?php } ?>
	<?php if ( isset($user) && is_object($user) ) {?>
	<tr>
		<td align='left' nowrap="nowrap"> <?php
		if ( isset($userold) ) {
			?><a HREF="<?php echo $site_url?>admin/user/login/<?php echo $userold->username . '/' . CMS_ADMIN_DISABLE;?>">
		<span style="font-weight: bold; font-size: 11px; color: blue;"> [<?php echo osa_user_getname($userold);?>]</span></a>
		<?php } ?>
		<?php echo lang('header_message_login') ;?>: <span style="font-size:11px"><?php echo osa_user_getname($user);?></span>
		<?php if ($this->config->item('cms_manage_mode') || $this->config->item('cms_sitestop'))
					echo '<br /><font color="red"><b>'.lang('header_message_manage_mode').'</b></font>'; ?>
		</td>
		<td align='right' nowrap="nowrap"><?php $this->load->view('template/header_buttons_view')?></td>
	</tr>
	<?php } // if ( isset($user) && is_object($user) ) ?>
</table>