<?php
/**
 * mapping_lang.php - Language file for mapping
 *
 * @author $Author: dtong $
 * @version $Id: mapping_lang.php,v 1.57 2012/05/10 13:03:23 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

static $s_mapping_lang = array(

	'map_from' => 'Between',
	'map_to' => 'And',
	'map_month1' => 'January',
	'map_month2' => 'February',
	'map_month3' => 'March',
	'map_month4' => 'April',
	'map_month5' => 'May',
	'map_month6' => 'June',
	'map_month7' => 'July',
	'map_month8' => 'August',
	'map_month9' => 'September',
	'map_month10' => 'October',
	'map_month11' => 'November',
	'map_month12' => 'December',
	'map_mycourses' => 'My Courses',
	'map_nonedept' => 'Departments:',
	'map_nonecourse' => 'All Courses:',
	'map_nonegrade' => 'Grades:',
	'map_nonemycourses' => 'My Courses:',
	'map_selectignore' => 'Ignore This List',
	'map_show' => 'SHOW',
	'map_reset' => 'RESET',
	'map_noselectmsg' => 'Please select a course, grade or department',
	'map_noselectmsg_gsub' => 'Please select a grade or department',
	'map_incorrect_daterange' => 'You have selected an incorrect date range',
	'map_multiselect_instruction' => 'Use (CTRL Key and Mouse Click) simultaneously to select multiple items or deselect an item.
		<br />Use (Shift Key and Mouse Click) simultaneously to select a range of items.',
	'map_dept_oneselection' => 'Note: Only one selection is allowed for department list above.',
	'map_course' => 'Course',
	'map_unit' => 'Unit',
	'map_startdate' => 'Start Date',
	'map_enddate' => 'End Date',
	'map_description' => 'Unit Description',
	'map_close' => 'Close',
	'map_noresultmsg' => "Sorry, we couldn't find anything based on your search criteria",
	'map_strand' => 'Strand',
	'map_standard' => 'Standard',
	'map_standards' => 'Standards',
	'map_benchmark' => 'Benchmark',
	'map_target' => 'Target',
	'map_no_techlib_select' => 'Please select Technology and/or Library',
	'map_no_unitselect' => 'Please select a category',
	'map_itemsfound' => 'item(s) found',
	'map_nographmsg' => 'Sorry, a graph was not generated due to insufficient data',
	'map_allmycourses' => '- All My Courses -',
	'map_ict' => 'ICT/Library',
	'map_technology' => 'Technology',
	'map_library' => 'Library',
	'map_techandlib' => 'Technology & Library',

	'map_nonestandard' => 'All Standard:',
	'map_nonebenchmark' => 'All Benchmark:',
	'map_grade' => 'Grade',
	'map_learningtarget' => 'Learning Target',

	'map_eq_course' => 'Course',
	'map_eq_unit' => 'Unit',
	'map_eq_unitdesc' => 'Unit Description',
	'map_eq_essential' => 'Departmental Essential Questions',
	'map_eq_teacheq' => 'Teacher Essential Question',
	'map_eq_eu' => 'Enduring Understandings',

	'map_allunits_subject' => 'Department',
	'map_allunits_course' => 'Course',
	'map_allunits_unittitle' => 'Unit',
	'map_allunits_unitdesc' => 'Unit Description',
	'map_allunits_restext' => 'Resource Text',
	'map_allunits_error_text' => 'Please input a search text',
	'map_dept_nostd_msg' => 'Sorry, the selected department does not have any Standards',
	'map_dept_noeq_msg' => 'Sorry, the selected department does not have any Essential Questions',
	'map_selectstandard_msg' => 'Please select a Standard',
	'map_selecteq_msg' => 'Please select an Essential Question',

	'map_status' => 'Type',
	'map_date' => 'Published/Edited Date',
	'map_publishdate' => 'Published Date',
	'map_editdate' => 'Edited Date',
	'map_all_unit' => 'Recently Published and Edited Units',
	'map_publish_unit_result' => 'Recently Published Units',
	'map_edit_unit_result' => 'Recently Edited Units',
	'map_publish_unit' => 'Published',
	'map_edit_unit' => 'Editing',

	'map_btn_pdf' => 'View PDF',
	'map_title_pdf' => 'PDF',

	'map_bp_grade_column' => 'LTs Grade',
	'map_bp_course_column' => 'LTs ',

	'map_normal_button' => 'Normal Layout',
	'map_course_button' => 'Course Layout',
	'map_grade_button' => 'Grade Layout',

	'map_no_unittype_select' => 'Please select one or more unit types',
	'map_unitdescription' => 'Unit Description',
	'map_unitype' => 'Unit Type',
	'map_normal' => 'Normal',
	'map_meta' => 'Meta',
	'map_integrated' => 'Integrated',
	'map_unified' => 'Shared',
	'map_unitcompare_display' => 'Compare',
	'map_unitcompare_title' => 'Unit History Comparison',
	'map_history' => 'History',
	'map_no_history' => 'N/A',

	'map_lt_history_all_title' => 'Learning Target History (All Changes) Search Result',
	'map_lt_history_last_title' => 'Learning Target History (Latest Changes) Search Result',
	'map_lt_history_col_current_lt' => 'Current LT',
	'map_lt_history_col_lt_history' => 'LT History',
	'map_lt_history_col_ks_current' => 'Current<br />KS',
	'map_lt_history_col_ks_history' => 'KS<br />Hist.',
	'map_lt_history_col_date' => 'Action Date',
	'map_lt_history_row_k' => 'K',
	'map_lt_history_row_s' => 'S',
	'map_lt_history_row_null' => 'N/A',
	'map_lt_history_row_add' => 'Added',
	'map_lt_history_row_modify' => 'Modified',
	'map_lt_history_row_delete' => 'Deleted',
	'map_lt_history_row_current_lt' => 'Current LT',
	'map_lt_history_row_current_ks' => 'Current KS',
	'map_lt_history_row_from_to' => ' --> ',
	'map_lt_history_row_And' => '<i>AND</i>',
	'map_lt_history_lnk_title' => 'Learning Targets',
	'map_lt_history_img_title' => 'View Learning Targets for this course',

	'map_tail_gc' => 'TaIL/GC',
	'map_unit_type' => 'Unit Type',
	'map_no_tail_gc' => 'Please select GC or TaIL',

	'map_list_page' => 'Page: ',
	'map_list_next' => '(Next)',
	'map_list_prev' => '(Prev)',
	'map_selcat_unittype' => 'Unit Type',

	'map_staticres_notes' => 'Notes',
	'map_staticres_note_modified' => 'Modified',
	'map_staticres_editing_unit' => 'Editing Unit',
	'map_staticres_published_unit' => 'Published Unit',
	'map_na' => 'N/A',

);

$lang = &$s_mapping_lang;
