<?php
/**
 * jscript_globalvars_view.php
 *
 * Contains all the javascript global variables. It is a way to pass PHP vars to Javascript.
 * This file has to be loaded after all other Javascripts else things will start to break,
 * especially the math image generation.
 *
 * @author $Author: suppakit $
 * @version $Id: jscript_globalvars_view.php,v 1.13 2012/05/11 07:02:45 suppakit Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
osa_load_lang('home');
$this->load->helper('des_helper');
// Change button text fromt List by Department to List by Categories when the menu tree is using Categories.
if ( $this->config->item('cms_menutree_use_category') ) {
	$dept_button = lang('home_catgorybutton');
}
else {
	$dept_button = lang('home_deptbutton');
}
?><script type="text/javascript"><?php

echo
	'var showDept=true;' .
	'var gradeButton="' . lang('home_gradebutton') . '";' .
	'var deptButton="' . $dept_button . '";' .
	'var ajaxServerError="' . lang('gen_js_ajaxclienterror') . '";' .
	'var appHomeUrl="' . base_url() . '";' .
	'var appIncludePath="' . osa_include_path(). '";' .
	'var sessionErrorMsg="' . lang('gen_js_ajaxsessiontimeoutmsg') . '";' .
	'var cancelInputMessage="' . lang('gen_cancelinputmsg') . '";' .
	'var raido_update_error_msg="' . lang('gen_radio_update_error_msg') . '";' .
	'var gDeskey="' . stringToHex(osa_des_random_key()) . '";' .
	'var app_image_folder="' . osa_imagepath() . '";' .

	// AMTcgiloc and AScgiloc have to come after ASCIIMathMLwFallback.js and ASCIIsvgPI.js
	//This points to the Mimetext CGI executable URL.
	// TODO: See if we can move this to tinymce init.
	// TODO: Make these 2 independent of the site URL. Saved images are hard coded with site URL in the DB.
	'var AMTcgiloc="' . $this->config->item('cms_html_cgi_bin') . '";' .
	'var AScgiloc="' . base_url() . 'misc/php/svg/svgimg.php";' .
	'var surveyHomeUrl="' . base_url() . 'survey/login";' .
	'var gDhtmlxwindowsSkin="' . $this->config->item('cms_dhtmlxwindows_skin') . '";' .
	'var gDhtmlxwindowsExtraheight=' . $this->config->item('cms_dhtmlxwindows_extraheight') . ';' .
	'var gGeneralJavasriptError="' . lang('gen_javascript_error') . '";' .
	'var gMenutreenames="' . osa_menu_treedata(TRUE) . '";' .
	'var ajaxFailed="' . CMS_AJAX_FAILED . '";' .
	'var ajaxSuccess="' . CMS_AJAX_SUCCESS . '";' .
	'var closeButtonText="' . lang('gen_closebutton') . '";';

?></script>